New Firefox Picker for Citavi 5.6 and 5.7

The Firefox Picker has been reprogrammed to support Firefox's new multi-process architecture which will be used in version 54 and later (Electrolysis; E10s). 

How can I get the new Picker?

Step 1:

A working installation of Citavi 5.6 or 5.7 is required. The Citavi 5.7 update was released on September 20, 2017.

Step 2:

Uninstall the Citavi Picker via the Citavi Setup: 

  1. Exit Citavi.
  2. In Windows, switch to the Control Panel.
  3. Select Uninstall a Program.
  4. Select Citavi 5.
  5. Click Change.
  6. Click Next.
  7. Select Modify and then click Next.
  8. On the Picker for Firefox drop-down menu, select This feature will not be available. Click Next.
  9. Click Install and continue through the Setup.

Step 3:

Install the new Citavi Picker: 

  1. Install the Citavi Picker from the Firefox Add-Ons store.
  2. Ensure that you are installing the latest version: 2017.11.7.21.
  3. Click Add to Firefox.
  4. Click Install.
  5. The Picker will be added. Make sure to click Enable, if it is not yet enabled. 
  6. Click Restart now.

Using an older version

If you are unable to install browser add-ons or update to the Citavi 5.6 or 5.7, you will still be able to use the Citavi Picker that was installed during Citavi's setup process. In this case, Firefox will simply disable its new multi-process architecture. 

However, please note that with the release of Firefox version 57, scheduled for November 14th, you will only be able to use the newest version of the Picker and will have to update to Citavi 5.6 or later.  

“How do I know which version of Firefox I have?”

Open your Firefox browser. Enter “about:” in the address bar (without quotation marks but with the colon). On the page that opens you can see your version number underneath the Firefox logo.

“I’m using an older Firefox browser. What do I need to know?“

If your Firefox browser is older than version 54, you can’t use the new Firefox Picker. Firefox will automatically disable the new Picker.

For your own security, we recommend always using the most current browser version. After updating your browser, you can update the Picker using the Setup for your existing Citavi version as described above.

“How do I know which version of Citavi and which version of the Firefox Picker I have?“

Citavi: You can find the four-digit version number by first opening a project. Then, on the Help menu, click About Citavi. The new Firefox Picker requires Citavi Beta 5.6 or later.

Picker: Start Firefox and open any webpage. Right-click anywhere on the page. On the shortcut menu, point to Citavi Picker and then click Settings. You’ll see the version number in the bottom left of the window that appears. The new Picker has the version number 2017.11.7.21.

“I'm using Citavi 4 with the Picker from the Firefox Store. What do I need to know?“

If you want to continue using the Picker with the current Firefox Browser, you will need to upgrade to the current Citavi version. You can continue working on your Citavi projects and documents created with the Word Add-In or Publication Assistant. See our manual for more information.

Is article helpful?